OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
FindDepotData Struct Reference

Helper container to find a depot. More...

`#include <pathfinder_type.h>`

## Public Member Functions
| FindDepotData (TileIndex tile=INVALID_TILE, uint best_length=UINT_MAX, bool reverse=false)
| Create an instance of this structure.

## Data Fields
TileIndex | tile
| The tile of the depot.
uint | best_length
| The distance towards the depot in penalty, or UINT_MAX if not found.
bool | reverse
| True if reversing is necessary for the train to get to this depot.

## Detailed Description

Helper container to find a depot.

Definition at line 46 of file pathfinder_type.h.

## Constructor & Destructor Documentation

FindDepotData::FindDepotData | ( | TileIndex | tile = `INVALID_TILE`,
|  | uint | best_length = `UINT_MAX`,
|  | bool | reverse = `false`
| ) |  |
| inline

Create an instance of this structure.

Parameters

  tile | the tile of the depot
  best_length | the distance towards the depot, or UINT_MAX if not found
  reverse | whether we need to reverse first.

Definition at line 57 of file pathfinder_type.h.

The documentation for this struct was generated from the following file:

- src/pathfinder/pathfinder_type.h